Name:           pclos-docuportal
Version:        0.1
Release:        %mkrel 7
License:        GNU General Public License (GPL)
Url:            http://www.pclinuxos.com
Source:         %{name}-%{version}.tar.xz
Summary:        Script to display online documentation
Summary(de):	Skript zur Anzeige von online Dokumenten
Group:          Documentation
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:	zenity 
Obsoletes:      %name < %version
Requires:       glibc >= 2.12.1
Requires:   	libstdc++6 >= 4.5.2
Requires:   	desktop-common-data >= 2010-11
BuildArch:      noarch

%description
Display Linux documentation online.

%description -l da
Vis Linux dokumentation online.

%description -l de
Anzeige von Linux-bezogener online Dokumentation.

%description -l es
Mostrar Linux documentación en línea.

%description -l fr
Voir la documentation sous Linux en ligne.

%description -l it
Visualizza documentazione di Linux in linea.

%description -l nl
Toon Linux online documentatie.

%description -l pl
Pokaż Linux dokumentacji

%description -l pt
Mostrar a documentação Linux on-line

%description -l ru
Показать Linux документацию

%description -l sr
Прикажи Линук документације на мрежи



%prep

%setup -q

%build

%install
rm -rf %buildroot


mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT/%_datadir/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Type=Application
Name=PCLinuxOS Documentation Portal
Name[da]=PCLinuxOS Dokumentation Portal
Name[de]=PCLinuxOS Dokumentationsportal
Name[es]=PCLinuxOS Documentación Portal
Name[fr]=PCLinuxOS Documentation Portail
Name[it]=PCLinuxOS Portale di Documentazione
Name[nl]=PCLinuxOS Documentatie Portal
Name[pl]=PCLinuxOS Documentation Portal
Name[pt]=PCLinuxOS Documentação Portal
Name[ru]=PCLinuxOS Документация портал
Name[sr]=PCLinuxOS Документација Портал
Comment=Display Linux documentation online
Comment[da]=Vis Linux dokumentation online
Comment[de]=Anzeige von Linux-bezogener online Dokumentation
Comment[es]=Mostrar Linux documentación en línea
Comment[fr]=Voir la documentation sous Linux en ligne 
Comment[it]=Visualizza documentazione di Linux in linea
Comment[nl]=Toon Linux online documentatie
Comment[pl]=Pokaż Linux dokumentacji
Comment[pt]=Mostrar a documentação Linux on-line
Comment[ru]=Показать Linux документацию
Comment[sr]=Прикажи Линук документације на мрежи
Exec=%{name}
Icon=education_literature_section.png
Comment=Access online documentation
Comment[de]=Lesen von online Dokumentation
Categories=X-MandrivaLinux-Internet-Other;X-MandrivaLinux-MoreApplications-Documentation;
Terminal=false
Encoding=UTF-8
StartupNotify=true
EOF

%files 
%defattr(-, root, root)
%{_bindir}/%{name}
%_datadir/applications/%{name}.desktop


%changelog
* Sun Sep 02 2012 Neal <nealbrks0 at gmail dot com> 0.1-7pclos2012
- process

* Sun Sep 02 2012 Pinoc <vogtpet at gmail.com> 0.1-7pclos2012
- fixed online prog link
- added PCLinuxOS email and image hosting

* Sat Jan 28 2012 Pinoc <vogtpet at gmail.com> 0.1-6pclos2012
- added youtube-mp3.org, tinypic

* Tue Nov 29 2011 pinoc <vogtpet at gmail.com> 0.1-4pclos2011
- renamed to fm_docuportal

* Fri Nov 25 2011 pinoc <vogtpet at gmail.com> 0.1-3pclos2011
- GUI now remains open until closed by user
- added software announcements

* Fri Nov 25 2011 pinoc <vogtpet at gmail.com> 0.1-2pclos2011
- improved webbrowser detection
- added description column in zenity window
- added some menu translations

* Thu Nov 24 2011 pinoc <vogtpet at gmail.com> 0.1-1pclos2011
- initial RPM
